Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class EventResponseImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
          org.jboss.portal.portlet.impl.jsr168.api.StateAwareResponseImpl
              org.jboss.portal.portlet.impl.jsr168.api.EventResponseImpl

All Implemented Interfaces:
  javax.portlet.EventResponse, PortletResponse, javax.portlet.StateAwareResponse

    public class EventResponseImpl

extends StateAwareResponseImpl
implements javax.portlet.EventResponse

Version:
  $Revision: 630 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.portlet.impl.jsr168.api.StateAwareResponseImpl
`StateAwareResponseImpl.WantRedirect, StateAwareResponseImpl.WantUpdate`

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.StateAwareResponseImpl
`wantRedirect, wantUpdate`

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`invocation, preq`

Constructor Summary
`EventResponseImpl(EventInvocation invocation, PortletRequestImpl preq)`

Method Summary
`void` | `setRenderParameters(javax.portlet.EventRequest eventRequest)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.StateAwareResponseImpl
`checkRedirect, getPortletMode, getRenderParameterMap, getResponse, getWindowState, queueEvent, removePublicRenderParameter, requireRedirect, requireUpdate, setEvent, setEvent, setPortletMode, setRenderParameter, setRenderParameter, setRenderParameters, setWindowState, wantUpdate`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, getProperties, getProperties, getRealResponse, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.StateAwareResponse
`getPortletMode, getRenderParameterMap, getWindowState, removePublicRenderParameter, setEvent, setEvent, setPortletMode, setRenderParameter, setRenderParameter, setRenderParameters, setWindowState`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Constructor Detail

### EventResponseImpl

    public EventResponseImpl(EventInvocation invocation,
                             PortletRequestImpl preq)

Method Detail

### setRenderParameters

    public void setRenderParameters(javax.portlet.EventRequest eventRequest)

  Specified by:
    `setRenderParameters` in interface `javax.portlet.EventResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.